GGKP Knowledge Brokerage API
Home
What is GGKP?
Home
What is GGKP?
  1. Search
  • Overview
  • Use Cases
  • Security
  • FAQ
  • Taxonomy
    • Retrieve Master Taxonomy
      GET
    • Retrieve Taxonomy by Term ID
      GET
    • Retrieve Domain-Specific Taxonomy
      GET
  • Search
    • Federated Search
      POST
    • Semantic Search
      POST
    • List Connected Sources
      GET
    • Register New Source
      POST
    • Upload Knowledge Products
      POST
    • List Products by Source
      GET
    • Delete Products
      DELETE
  • Classifier
    • Classify PDF Document
      POST
    • Generate Body and Summary
      POST
  • Bots
    • Generic Bot
      POST
  1. Search

Upload Knowledge Products

POST
https://api.ggkp.org/search-federator/upload-products
Search
Uploads and indexes knowledge products for a registered source. Products become searchable across the platform. Requires the 'Upload Products' permission.

Request

Authorization
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Products uploaded successfully
Body

🟠400
🟠401
🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.ggkp.org/search-federator/upload-products' \
--header 'api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "source_id": "src_123",
    "products": [
        {
            "title": "string",
            "description": "string",
            "url": "http://example.com",
            "content_type": "string",
            "publication_date": "2019-08-24",
            "authors": [
                "string"
            ],
            "tags": [
                "string"
            ]
        }
    ]
}'
Response Response Example
{
    "status": "string",
    "uploaded_count": 0,
    "message": "string"
}
Previous
Register New Source
Next
List Products by Source
Built with